﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication4
{
    public partial class Okno : Form
    {
        public Okno()
        {
            InitializeComponent();
        }

        private int cnt = 0;

        private void knoflik_Click(object sender, EventArgs e)
        {
            Button b = new Button ();
            cnt ++;
            b.Text = "Muj novy knoflik " + cnt;
            b.Width = 200;
            b.MouseDown += common_MouseDown;
            b.MouseUp += common_MouseUp;
            b.MouseMove += common_MouseMove;
            // b.BringToFront();
            this.Controls.Add(b);
            b.BringToFront();
        }

        int X0, Y0;
        bool stisk = false;

        private void common_MouseDown(object sender, MouseEventArgs e)
        {
            stisk = true;
            X0 = e.X;
            Y0 = e.Y;
        }

        private void common_MouseUp(object sender, MouseEventArgs e)
        {
            stisk = false;
        }

        private void common_MouseMove(object sender, MouseEventArgs e)
        {
            if (stisk)
            {
                Button c = (Button) sender;
                if (e.Button == MouseButtons.Left)
                {
                    int x = c.Location.X + e.X - X0;
                    int y = c.Location.Y + e.Y - Y0;
                    c.Location = new Point(x, y);
                }
                else if (e.Button == MouseButtons.Right)
                {
                    int w = c.Size.Width + e.X - X0;
                    int h = c.Size.Height + e.Y - Y0;
                    c.Size = new Size (w, h);
                    X0 = e.X;
                    Y0 = e.Y;
                }
            }

        }

        private void button1_Click(object sender, EventArgs e)
        {
            // Okno w = new Okno();
            // w.Visible = true;

            // new Okno().Visible = true;

            new Okno() . Show();
        }


    }
}
